Subject: Re: feeding only local postings in INN
From: [email-masked] (Christophe Wolfhugel)
Date: 15 Aug 1993 09:32:04 +0200
Newsgroups: news.software.b

[email-masked] (Vince Skahan):
> Sites A and B feed me news via uucp.  Site A is free, B is not.
> I want only local postings to go to B (don't pass incoming articles
> from A since it costs $$$).

In your newsfeeds entry:

ME:...
B/A:...
A:...

B/A will prevent any article having crossed thru A to be sent
to your pay-feed.

Read newsfeeds(5) for details regarding the exclusions.

> I'm using the samples send-uucp to batch stuff up for the other sites.
> I've noticed that I only get 32KB batches.  Is it possible to set the
> outgoing batch size on a site-by-site basis (like a Cnews batchparms file)?

You may wish to take a look at my sendbatches package (written in Perl
now) which allows this, but take care: its transport independant, ie it
will not check for the size of the UUCP queue.  Feature to be added.
Anonymous ftp:
  grasp.insa-lyon.fr:pub/unix/news/transport/inn/contrib/sendbatches*3*

Otherwise by editing send-batch you may find the argument passed to
batcher and raise the value.

> What would be a normal set of crontab entries for a uucp-only INN site.
> From the FAQ I've come with:
>         rnews -U
>         expire
>         news.daily

News.daily does the expiration.  A typical cron could be that:

55 * * * * /bin/rnews -U
56 4 * * * /local/news/bin/news.daily delayrm expireover

+ a regular call to sendbatches or send-uucp
+ a regular call to nntpsend for those using this transport.

-- 
Christophe Wolfhugel    |    Email: [email-masked]